using namespace std;
#include <iostream>
// pecina
int main() {
    int n; // broj stalaktita
    cin>>n;
    int L; //visina perice
    cin>>L;
    int H[n];//niz za visine
    int br=0;
    if ((n>=1 and n<=1000)and (L>=1)){
        for (int i=0; i<n; i++){
            cin>>H[i];
            if(L<H[i]){
                br=br+1;
            }
            else if (L>=H[i]){
                br=br+1;
                break;
            }
        }
    }
    else{
        return 0;
    }
    if (br==n){
        cout<<"-1";
    }
    else{
        cout<<br;
    }
}